Skip to main content

Update file properties

PATCH 

/api/v1/catalog/releases/project/:projectIdentifier/version/:version/artifact/:artifactId

This route enables to change the properties of an artifact, f.e metadata, isExecutable, arguments etc.

Request​

Path Parameters

    projectIdentifier stringrequired

    Project identifier (ID or name)

    version stringrequired
    artifactId numberrequired

Header Parameters

    X-Project-Token string

Body

required

    arguments string
    isExecutable boolean
    isInstallationFile boolean
    metadata object

Responses​

Release artifact metadata update

Loading...